<?php

use yii\db\Schema;
use yii\db\Migration;

class m160306_130115_add_inventory_item extends Migration
{
    public function up()
    {
    	$tableOptions = null;
    	if ($this->db->driverName === 'mysql') {
    		// http://stackoverflow.com/questions/766809/whats-the-difference-between-utf8-general-ci-and-utf8-unicode-ci
    		$tableOptions = 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB';
    	}
    	 
    	
    	$this->createTable('{{%inventory}}', [
    			'id_inventory' => $this->primaryKey(),
    			'id_user' => $this->integer(11),
    			'created_at' => $this->dateTime()->notNull(),
    			'updated_at' =>  $this->dateTime()->notNull(),
    	], $tableOptions);
    	
    	$this->createTable('{{%inventory_item}}', [
    			'id_inventory_item' => $this->primaryKey(),
    			'id_inventory' => $this->integer(11),
    			'count_in' => $this->integer(11),
    			'count_sold' => $this->integer(11),
    			'count' => $this->integer(11),
    			'type' => $this->integer(11),
    			'id_product' => $this->integer(11),
    			'id_inventory_group' => $this->integer(11),
    			'id_user' => $this->integer(11),
    			'last_inventroy_at' => $this->dateTime(),
    			'created_at' => $this->dateTime()->notNull(),
    			'updated_at' =>  $this->dateTime()->notNull(),
    	], $tableOptions);
    	 
    }

    public function down()
    {
        echo "m160306_130115_add_inventory_item cannot be reverted.\n";

        return false;
    }

    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
